LynceaAPI

Create API key

Requires project admin access. The plaintext API key is returned exactly once in this response and is not stored by the API.

POST
/api/v1/projects/{projectId}/api-keys
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.monitoring.crahe-arthur.com/api/v1/projects/string/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "CI logs writer"  }'
{
  "scopes": [
    "write:logs"
  ],
  "id": "018f7b9a-e68d-42e2-af8c-9c4d7787712c",
  "projectId": "018f7b9a-2fb6-48e4-bc02-2e5d9d9f1f9a",
  "tenantId": "018f7b9a-6f8d-4c1d-8d72-1bbecdadc101",
  "name": "CI logs writer",
  "prefix": "AB12CD34",
  "lastUsedAt": "2026-04-28T20:00:00.000Z",
  "expiresAt": "2026-12-31T23:59:59.000Z",
  "revokedAt": "string",
  "createdAt": "2026-04-28T19:00:00.000Z",
  "plaintext": "lyn_live_AB12CD34_0123456789ABCDEFGHJKMNPQRSTVW"
}